IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network2.148.0.0/14
Usable hosts262,142
Subnet mask255.252.0.0
Addresses262,144
- Network address
2.148.0.0- Broadcast address
2.151.255.255- First usable
2.148.0.1- Last usable
2.151.255.254- Usable hosts
- 262,142 (262,144 less the network and broadcast addresses)
- Subnet mask
255.252.0.0- Wildcard mask
0.3.255.255(Cisco ACLs, OSPF)- Prefix length
- /14
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
02940000· Integer43253760to43515903 - Reverse DNS zones
148.2.in-addr.arpa149.2.in-addr.arpa150.2.in-addr.arpa151.2.in-addr.arpa
/14 is not on a 8-bit boundary, so it takes 4 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00000010.10010100.00000000.00000000 | 2.148.0.0 |
| Subnet mask | 11111111.11111100.00000000.00000000 | 255.252.0.0 |
| Network | 00000010.10010100.00000000.00000000 | 2.148.0.0 |
| Broadcast | 00000010.10010111.11111111.11111111 | 2.151.255.255 |
Split into smaller subnets
/15 (2)/16 (4)/17 (8)/18 (16)/19 (32)/20 (64)/21 (128)/22 (256)/23 (512)/24 (1,024)/25 (2,048)/26 (4,096)
2.148.0.0/14 makes 256 subnets of /22.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 2.148.0.0/22 | 2.148.0.1 to 2.148.3.254 | 2.148.3.255 | 1,022 |
| 2 | 2.148.4.0/22 | 2.148.4.1 to 2.148.7.254 | 2.148.7.255 | 1,022 |
| 3 | 2.148.8.0/22 | 2.148.8.1 to 2.148.11.254 | 2.148.11.255 | 1,022 |
| 4 | 2.148.12.0/22 | 2.148.12.1 to 2.148.15.254 | 2.148.15.255 | 1,022 |
| 5 | 2.148.16.0/22 | 2.148.16.1 to 2.148.19.254 | 2.148.19.255 | 1,022 |
| 6 | 2.148.20.0/22 | 2.148.20.1 to 2.148.23.254 | 2.148.23.255 | 1,022 |
| 7 | 2.148.24.0/22 | 2.148.24.1 to 2.148.27.254 | 2.148.27.255 | 1,022 |
| 8 | 2.148.28.0/22 | 2.148.28.1 to 2.148.31.254 | 2.148.31.255 | 1,022 |
| 9 | 2.148.32.0/22 | 2.148.32.1 to 2.148.35.254 | 2.148.35.255 | 1,022 |
| 10 | 2.148.36.0/22 | 2.148.36.1 to 2.148.39.254 | 2.148.39.255 | 1,022 |
| 11 | 2.148.40.0/22 | 2.148.40.1 to 2.148.43.254 | 2.148.43.255 | 1,022 |
| 12 | 2.148.44.0/22 | 2.148.44.1 to 2.148.47.254 | 2.148.47.255 | 1,022 |
| 13 | 2.148.48.0/22 | 2.148.48.1 to 2.148.51.254 | 2.148.51.255 | 1,022 |
| 14 | 2.148.52.0/22 | 2.148.52.1 to 2.148.55.254 | 2.148.55.255 | 1,022 |
| 15 | 2.148.56.0/22 | 2.148.56.1 to 2.148.59.254 | 2.148.59.255 | 1,022 |
| 16 | 2.148.60.0/22 | 2.148.60.1 to 2.148.63.254 | 2.148.63.255 | 1,022 |
| 17 | 2.148.64.0/22 | 2.148.64.1 to 2.148.67.254 | 2.148.67.255 | 1,022 |
| 18 | 2.148.68.0/22 | 2.148.68.1 to 2.148.71.254 | 2.148.71.255 | 1,022 |
| 19 | 2.148.72.0/22 | 2.148.72.1 to 2.148.75.254 | 2.148.75.255 | 1,022 |
| 20 | 2.148.76.0/22 | 2.148.76.1 to 2.148.79.254 | 2.148.79.255 | 1,022 |
| 21 | 2.148.80.0/22 | 2.148.80.1 to 2.148.83.254 | 2.148.83.255 | 1,022 |
| 22 | 2.148.84.0/22 | 2.148.84.1 to 2.148.87.254 | 2.148.87.255 | 1,022 |
| 23 | 2.148.88.0/22 | 2.148.88.1 to 2.148.91.254 | 2.148.91.255 | 1,022 |
| 24 | 2.148.92.0/22 | 2.148.92.1 to 2.148.95.254 | 2.148.95.255 | 1,022 |
| 25 | 2.148.96.0/22 | 2.148.96.1 to 2.148.99.254 | 2.148.99.255 | 1,022 |
| 26 | 2.148.100.0/22 | 2.148.100.1 to 2.148.103.254 | 2.148.103.255 | 1,022 |
| 27 | 2.148.104.0/22 | 2.148.104.1 to 2.148.107.254 | 2.148.107.255 | 1,022 |
| 28 | 2.148.108.0/22 | 2.148.108.1 to 2.148.111.254 | 2.148.111.255 | 1,022 |
| 29 | 2.148.112.0/22 | 2.148.112.1 to 2.148.115.254 | 2.148.115.255 | 1,022 |
| 30 | 2.148.116.0/22 | 2.148.116.1 to 2.148.119.254 | 2.148.119.255 | 1,022 |
| 31 | 2.148.120.0/22 | 2.148.120.1 to 2.148.123.254 | 2.148.123.255 | 1,022 |
| 32 | 2.148.124.0/22 | 2.148.124.1 to 2.148.127.254 | 2.148.127.255 | 1,022 |
| 33 | 2.148.128.0/22 | 2.148.128.1 to 2.148.131.254 | 2.148.131.255 | 1,022 |
| 34 | 2.148.132.0/22 | 2.148.132.1 to 2.148.135.254 | 2.148.135.255 | 1,022 |
| 35 | 2.148.136.0/22 | 2.148.136.1 to 2.148.139.254 | 2.148.139.255 | 1,022 |
| 36 | 2.148.140.0/22 | 2.148.140.1 to 2.148.143.254 | 2.148.143.255 | 1,022 |
| 37 | 2.148.144.0/22 | 2.148.144.1 to 2.148.147.254 | 2.148.147.255 | 1,022 |
| 38 | 2.148.148.0/22 | 2.148.148.1 to 2.148.151.254 | 2.148.151.255 | 1,022 |
| 39 | 2.148.152.0/22 | 2.148.152.1 to 2.148.155.254 | 2.148.155.255 | 1,022 |
| 40 | 2.148.156.0/22 | 2.148.156.1 to 2.148.159.254 | 2.148.159.255 | 1,022 |
| 41 | 2.148.160.0/22 | 2.148.160.1 to 2.148.163.254 | 2.148.163.255 | 1,022 |
| 42 | 2.148.164.0/22 | 2.148.164.1 to 2.148.167.254 | 2.148.167.255 | 1,022 |
| 43 | 2.148.168.0/22 | 2.148.168.1 to 2.148.171.254 | 2.148.171.255 | 1,022 |
| 44 | 2.148.172.0/22 | 2.148.172.1 to 2.148.175.254 | 2.148.175.255 | 1,022 |
| 45 | 2.148.176.0/22 | 2.148.176.1 to 2.148.179.254 | 2.148.179.255 | 1,022 |
| 46 | 2.148.180.0/22 | 2.148.180.1 to 2.148.183.254 | 2.148.183.255 | 1,022 |
| 47 | 2.148.184.0/22 | 2.148.184.1 to 2.148.187.254 | 2.148.187.255 | 1,022 |
| 48 | 2.148.188.0/22 | 2.148.188.1 to 2.148.191.254 | 2.148.191.255 | 1,022 |
| 49 | 2.148.192.0/22 | 2.148.192.1 to 2.148.195.254 | 2.148.195.255 | 1,022 |
| 50 | 2.148.196.0/22 | 2.148.196.1 to 2.148.199.254 | 2.148.199.255 | 1,022 |
| 51 | 2.148.200.0/22 | 2.148.200.1 to 2.148.203.254 | 2.148.203.255 | 1,022 |
| 52 | 2.148.204.0/22 | 2.148.204.1 to 2.148.207.254 | 2.148.207.255 | 1,022 |
| 53 | 2.148.208.0/22 | 2.148.208.1 to 2.148.211.254 | 2.148.211.255 | 1,022 |
| 54 | 2.148.212.0/22 | 2.148.212.1 to 2.148.215.254 | 2.148.215.255 | 1,022 |
| 55 | 2.148.216.0/22 | 2.148.216.1 to 2.148.219.254 | 2.148.219.255 | 1,022 |
| 56 | 2.148.220.0/22 | 2.148.220.1 to 2.148.223.254 | 2.148.223.255 | 1,022 |
| 57 | 2.148.224.0/22 | 2.148.224.1 to 2.148.227.254 | 2.148.227.255 | 1,022 |
| 58 | 2.148.228.0/22 | 2.148.228.1 to 2.148.231.254 | 2.148.231.255 | 1,022 |
| 59 | 2.148.232.0/22 | 2.148.232.1 to 2.148.235.254 | 2.148.235.255 | 1,022 |
| 60 | 2.148.236.0/22 | 2.148.236.1 to 2.148.239.254 | 2.148.239.255 | 1,022 |
| 61 | 2.148.240.0/22 | 2.148.240.1 to 2.148.243.254 | 2.148.243.255 | 1,022 |
| 62 | 2.148.244.0/22 | 2.148.244.1 to 2.148.247.254 | 2.148.247.255 | 1,022 |
| 63 | 2.148.248.0/22 | 2.148.248.1 to 2.148.251.254 | 2.148.251.255 | 1,022 |
| 64 | 2.148.252.0/22 | 2.148.252.1 to 2.148.255.254 | 2.148.255.255 | 1,022 |
| 65 | 2.149.0.0/22 | 2.149.0.1 to 2.149.3.254 | 2.149.3.255 | 1,022 |
| 66 | 2.149.4.0/22 | 2.149.4.1 to 2.149.7.254 | 2.149.7.255 | 1,022 |
| 67 | 2.149.8.0/22 | 2.149.8.1 to 2.149.11.254 | 2.149.11.255 | 1,022 |
| 68 | 2.149.12.0/22 | 2.149.12.1 to 2.149.15.254 | 2.149.15.255 | 1,022 |
| 69 | 2.149.16.0/22 | 2.149.16.1 to 2.149.19.254 | 2.149.19.255 | 1,022 |
| 70 | 2.149.20.0/22 | 2.149.20.1 to 2.149.23.254 | 2.149.23.255 | 1,022 |
| 71 | 2.149.24.0/22 | 2.149.24.1 to 2.149.27.254 | 2.149.27.255 | 1,022 |
| 72 | 2.149.28.0/22 | 2.149.28.1 to 2.149.31.254 | 2.149.31.255 | 1,022 |
| 73 | 2.149.32.0/22 | 2.149.32.1 to 2.149.35.254 | 2.149.35.255 | 1,022 |
| 74 | 2.149.36.0/22 | 2.149.36.1 to 2.149.39.254 | 2.149.39.255 | 1,022 |
| 75 | 2.149.40.0/22 | 2.149.40.1 to 2.149.43.254 | 2.149.43.255 | 1,022 |
| 76 | 2.149.44.0/22 | 2.149.44.1 to 2.149.47.254 | 2.149.47.255 | 1,022 |
| 77 | 2.149.48.0/22 | 2.149.48.1 to 2.149.51.254 | 2.149.51.255 | 1,022 |
| 78 | 2.149.52.0/22 | 2.149.52.1 to 2.149.55.254 | 2.149.55.255 | 1,022 |
| 79 | 2.149.56.0/22 | 2.149.56.1 to 2.149.59.254 | 2.149.59.255 | 1,022 |
| 80 | 2.149.60.0/22 | 2.149.60.1 to 2.149.63.254 | 2.149.63.255 | 1,022 |
| 81 | 2.149.64.0/22 | 2.149.64.1 to 2.149.67.254 | 2.149.67.255 | 1,022 |
| 82 | 2.149.68.0/22 | 2.149.68.1 to 2.149.71.254 | 2.149.71.255 | 1,022 |
| 83 | 2.149.72.0/22 | 2.149.72.1 to 2.149.75.254 | 2.149.75.255 | 1,022 |
| 84 | 2.149.76.0/22 | 2.149.76.1 to 2.149.79.254 | 2.149.79.255 | 1,022 |
| 85 | 2.149.80.0/22 | 2.149.80.1 to 2.149.83.254 | 2.149.83.255 | 1,022 |
| 86 | 2.149.84.0/22 | 2.149.84.1 to 2.149.87.254 | 2.149.87.255 | 1,022 |
| 87 | 2.149.88.0/22 | 2.149.88.1 to 2.149.91.254 | 2.149.91.255 | 1,022 |
| 88 | 2.149.92.0/22 | 2.149.92.1 to 2.149.95.254 | 2.149.95.255 | 1,022 |
| 89 | 2.149.96.0/22 | 2.149.96.1 to 2.149.99.254 | 2.149.99.255 | 1,022 |
| 90 | 2.149.100.0/22 | 2.149.100.1 to 2.149.103.254 | 2.149.103.255 | 1,022 |
| 91 | 2.149.104.0/22 | 2.149.104.1 to 2.149.107.254 | 2.149.107.255 | 1,022 |
| 92 | 2.149.108.0/22 | 2.149.108.1 to 2.149.111.254 | 2.149.111.255 | 1,022 |
| 93 | 2.149.112.0/22 | 2.149.112.1 to 2.149.115.254 | 2.149.115.255 | 1,022 |
| 94 | 2.149.116.0/22 | 2.149.116.1 to 2.149.119.254 | 2.149.119.255 | 1,022 |
| 95 | 2.149.120.0/22 | 2.149.120.1 to 2.149.123.254 | 2.149.123.255 | 1,022 |
| 96 | 2.149.124.0/22 | 2.149.124.1 to 2.149.127.254 | 2.149.127.255 | 1,022 |
| 97 | 2.149.128.0/22 | 2.149.128.1 to 2.149.131.254 | 2.149.131.255 | 1,022 |
| 98 | 2.149.132.0/22 | 2.149.132.1 to 2.149.135.254 | 2.149.135.255 | 1,022 |
| 99 | 2.149.136.0/22 | 2.149.136.1 to 2.149.139.254 | 2.149.139.255 | 1,022 |
| 100 | 2.149.140.0/22 | 2.149.140.1 to 2.149.143.254 | 2.149.143.255 | 1,022 |
| 101 | 2.149.144.0/22 | 2.149.144.1 to 2.149.147.254 | 2.149.147.255 | 1,022 |
| 102 | 2.149.148.0/22 | 2.149.148.1 to 2.149.151.254 | 2.149.151.255 | 1,022 |
| 103 | 2.149.152.0/22 | 2.149.152.1 to 2.149.155.254 | 2.149.155.255 | 1,022 |
| 104 | 2.149.156.0/22 | 2.149.156.1 to 2.149.159.254 | 2.149.159.255 | 1,022 |
| 105 | 2.149.160.0/22 | 2.149.160.1 to 2.149.163.254 | 2.149.163.255 | 1,022 |
| 106 | 2.149.164.0/22 | 2.149.164.1 to 2.149.167.254 | 2.149.167.255 | 1,022 |
| 107 | 2.149.168.0/22 | 2.149.168.1 to 2.149.171.254 | 2.149.171.255 | 1,022 |
| 108 | 2.149.172.0/22 | 2.149.172.1 to 2.149.175.254 | 2.149.175.255 | 1,022 |
| 109 | 2.149.176.0/22 | 2.149.176.1 to 2.149.179.254 | 2.149.179.255 | 1,022 |
| 110 | 2.149.180.0/22 | 2.149.180.1 to 2.149.183.254 | 2.149.183.255 | 1,022 |
| 111 | 2.149.184.0/22 | 2.149.184.1 to 2.149.187.254 | 2.149.187.255 | 1,022 |
| 112 | 2.149.188.0/22 | 2.149.188.1 to 2.149.191.254 | 2.149.191.255 | 1,022 |
| 113 | 2.149.192.0/22 | 2.149.192.1 to 2.149.195.254 | 2.149.195.255 | 1,022 |
| 114 | 2.149.196.0/22 | 2.149.196.1 to 2.149.199.254 | 2.149.199.255 | 1,022 |
| 115 | 2.149.200.0/22 | 2.149.200.1 to 2.149.203.254 | 2.149.203.255 | 1,022 |
| 116 | 2.149.204.0/22 | 2.149.204.1 to 2.149.207.254 | 2.149.207.255 | 1,022 |
| 117 | 2.149.208.0/22 | 2.149.208.1 to 2.149.211.254 | 2.149.211.255 | 1,022 |
| 118 | 2.149.212.0/22 | 2.149.212.1 to 2.149.215.254 | 2.149.215.255 | 1,022 |
| 119 | 2.149.216.0/22 | 2.149.216.1 to 2.149.219.254 | 2.149.219.255 | 1,022 |
| 120 | 2.149.220.0/22 | 2.149.220.1 to 2.149.223.254 | 2.149.223.255 | 1,022 |
| 121 | 2.149.224.0/22 | 2.149.224.1 to 2.149.227.254 | 2.149.227.255 | 1,022 |
| 122 | 2.149.228.0/22 | 2.149.228.1 to 2.149.231.254 | 2.149.231.255 | 1,022 |
| 123 | 2.149.232.0/22 | 2.149.232.1 to 2.149.235.254 | 2.149.235.255 | 1,022 |
| 124 | 2.149.236.0/22 | 2.149.236.1 to 2.149.239.254 | 2.149.239.255 | 1,022 |
| 125 | 2.149.240.0/22 | 2.149.240.1 to 2.149.243.254 | 2.149.243.255 | 1,022 |
| 126 | 2.149.244.0/22 | 2.149.244.1 to 2.149.247.254 | 2.149.247.255 | 1,022 |
| 127 | 2.149.248.0/22 | 2.149.248.1 to 2.149.251.254 | 2.149.251.255 | 1,022 |
| 128 | 2.149.252.0/22 | 2.149.252.1 to 2.149.255.254 | 2.149.255.255 | 1,022 |
| 129 | 2.150.0.0/22 | 2.150.0.1 to 2.150.3.254 | 2.150.3.255 | 1,022 |
| 130 | 2.150.4.0/22 | 2.150.4.1 to 2.150.7.254 | 2.150.7.255 | 1,022 |
| 131 | 2.150.8.0/22 | 2.150.8.1 to 2.150.11.254 | 2.150.11.255 | 1,022 |
| 132 | 2.150.12.0/22 | 2.150.12.1 to 2.150.15.254 | 2.150.15.255 | 1,022 |
| 133 | 2.150.16.0/22 | 2.150.16.1 to 2.150.19.254 | 2.150.19.255 | 1,022 |
| 134 | 2.150.20.0/22 | 2.150.20.1 to 2.150.23.254 | 2.150.23.255 | 1,022 |
| 135 | 2.150.24.0/22 | 2.150.24.1 to 2.150.27.254 | 2.150.27.255 | 1,022 |
| 136 | 2.150.28.0/22 | 2.150.28.1 to 2.150.31.254 | 2.150.31.255 | 1,022 |
| 137 | 2.150.32.0/22 | 2.150.32.1 to 2.150.35.254 | 2.150.35.255 | 1,022 |
| 138 | 2.150.36.0/22 | 2.150.36.1 to 2.150.39.254 | 2.150.39.255 | 1,022 |
| 139 | 2.150.40.0/22 | 2.150.40.1 to 2.150.43.254 | 2.150.43.255 | 1,022 |
| 140 | 2.150.44.0/22 | 2.150.44.1 to 2.150.47.254 | 2.150.47.255 | 1,022 |
| 141 | 2.150.48.0/22 | 2.150.48.1 to 2.150.51.254 | 2.150.51.255 | 1,022 |
| 142 | 2.150.52.0/22 | 2.150.52.1 to 2.150.55.254 | 2.150.55.255 | 1,022 |
| 143 | 2.150.56.0/22 | 2.150.56.1 to 2.150.59.254 | 2.150.59.255 | 1,022 |
| 144 | 2.150.60.0/22 | 2.150.60.1 to 2.150.63.254 | 2.150.63.255 | 1,022 |
| 145 | 2.150.64.0/22 | 2.150.64.1 to 2.150.67.254 | 2.150.67.255 | 1,022 |
| 146 | 2.150.68.0/22 | 2.150.68.1 to 2.150.71.254 | 2.150.71.255 | 1,022 |
| 147 | 2.150.72.0/22 | 2.150.72.1 to 2.150.75.254 | 2.150.75.255 | 1,022 |
| 148 | 2.150.76.0/22 | 2.150.76.1 to 2.150.79.254 | 2.150.79.255 | 1,022 |
| 149 | 2.150.80.0/22 | 2.150.80.1 to 2.150.83.254 | 2.150.83.255 | 1,022 |
| 150 | 2.150.84.0/22 | 2.150.84.1 to 2.150.87.254 | 2.150.87.255 | 1,022 |
| 151 | 2.150.88.0/22 | 2.150.88.1 to 2.150.91.254 | 2.150.91.255 | 1,022 |
| 152 | 2.150.92.0/22 | 2.150.92.1 to 2.150.95.254 | 2.150.95.255 | 1,022 |
| 153 | 2.150.96.0/22 | 2.150.96.1 to 2.150.99.254 | 2.150.99.255 | 1,022 |
| 154 | 2.150.100.0/22 | 2.150.100.1 to 2.150.103.254 | 2.150.103.255 | 1,022 |
| 155 | 2.150.104.0/22 | 2.150.104.1 to 2.150.107.254 | 2.150.107.255 | 1,022 |
| 156 | 2.150.108.0/22 | 2.150.108.1 to 2.150.111.254 | 2.150.111.255 | 1,022 |
| 157 | 2.150.112.0/22 | 2.150.112.1 to 2.150.115.254 | 2.150.115.255 | 1,022 |
| 158 | 2.150.116.0/22 | 2.150.116.1 to 2.150.119.254 | 2.150.119.255 | 1,022 |
| 159 | 2.150.120.0/22 | 2.150.120.1 to 2.150.123.254 | 2.150.123.255 | 1,022 |
| 160 | 2.150.124.0/22 | 2.150.124.1 to 2.150.127.254 | 2.150.127.255 | 1,022 |
| 161 | 2.150.128.0/22 | 2.150.128.1 to 2.150.131.254 | 2.150.131.255 | 1,022 |
| 162 | 2.150.132.0/22 | 2.150.132.1 to 2.150.135.254 | 2.150.135.255 | 1,022 |
| 163 | 2.150.136.0/22 | 2.150.136.1 to 2.150.139.254 | 2.150.139.255 | 1,022 |
| 164 | 2.150.140.0/22 | 2.150.140.1 to 2.150.143.254 | 2.150.143.255 | 1,022 |
| 165 | 2.150.144.0/22 | 2.150.144.1 to 2.150.147.254 | 2.150.147.255 | 1,022 |
| 166 | 2.150.148.0/22 | 2.150.148.1 to 2.150.151.254 | 2.150.151.255 | 1,022 |
| 167 | 2.150.152.0/22 | 2.150.152.1 to 2.150.155.254 | 2.150.155.255 | 1,022 |
| 168 | 2.150.156.0/22 | 2.150.156.1 to 2.150.159.254 | 2.150.159.255 | 1,022 |
| 169 | 2.150.160.0/22 | 2.150.160.1 to 2.150.163.254 | 2.150.163.255 | 1,022 |
| 170 | 2.150.164.0/22 | 2.150.164.1 to 2.150.167.254 | 2.150.167.255 | 1,022 |
| 171 | 2.150.168.0/22 | 2.150.168.1 to 2.150.171.254 | 2.150.171.255 | 1,022 |
| 172 | 2.150.172.0/22 | 2.150.172.1 to 2.150.175.254 | 2.150.175.255 | 1,022 |
| 173 | 2.150.176.0/22 | 2.150.176.1 to 2.150.179.254 | 2.150.179.255 | 1,022 |
| 174 | 2.150.180.0/22 | 2.150.180.1 to 2.150.183.254 | 2.150.183.255 | 1,022 |
| 175 | 2.150.184.0/22 | 2.150.184.1 to 2.150.187.254 | 2.150.187.255 | 1,022 |
| 176 | 2.150.188.0/22 | 2.150.188.1 to 2.150.191.254 | 2.150.191.255 | 1,022 |
| 177 | 2.150.192.0/22 | 2.150.192.1 to 2.150.195.254 | 2.150.195.255 | 1,022 |
| 178 | 2.150.196.0/22 | 2.150.196.1 to 2.150.199.254 | 2.150.199.255 | 1,022 |
| 179 | 2.150.200.0/22 | 2.150.200.1 to 2.150.203.254 | 2.150.203.255 | 1,022 |
| 180 | 2.150.204.0/22 | 2.150.204.1 to 2.150.207.254 | 2.150.207.255 | 1,022 |
| 181 | 2.150.208.0/22 | 2.150.208.1 to 2.150.211.254 | 2.150.211.255 | 1,022 |
| 182 | 2.150.212.0/22 | 2.150.212.1 to 2.150.215.254 | 2.150.215.255 | 1,022 |
| 183 | 2.150.216.0/22 | 2.150.216.1 to 2.150.219.254 | 2.150.219.255 | 1,022 |
| 184 | 2.150.220.0/22 | 2.150.220.1 to 2.150.223.254 | 2.150.223.255 | 1,022 |
| 185 | 2.150.224.0/22 | 2.150.224.1 to 2.150.227.254 | 2.150.227.255 | 1,022 |
| 186 | 2.150.228.0/22 | 2.150.228.1 to 2.150.231.254 | 2.150.231.255 | 1,022 |
| 187 | 2.150.232.0/22 | 2.150.232.1 to 2.150.235.254 | 2.150.235.255 | 1,022 |
| 188 | 2.150.236.0/22 | 2.150.236.1 to 2.150.239.254 | 2.150.239.255 | 1,022 |
| 189 | 2.150.240.0/22 | 2.150.240.1 to 2.150.243.254 | 2.150.243.255 | 1,022 |
| 190 | 2.150.244.0/22 | 2.150.244.1 to 2.150.247.254 | 2.150.247.255 | 1,022 |
| 191 | 2.150.248.0/22 | 2.150.248.1 to 2.150.251.254 | 2.150.251.255 | 1,022 |
| 192 | 2.150.252.0/22 | 2.150.252.1 to 2.150.255.254 | 2.150.255.255 | 1,022 |
| 193 | 2.151.0.0/22 | 2.151.0.1 to 2.151.3.254 | 2.151.3.255 | 1,022 |
| 194 | 2.151.4.0/22 | 2.151.4.1 to 2.151.7.254 | 2.151.7.255 | 1,022 |
| 195 | 2.151.8.0/22 | 2.151.8.1 to 2.151.11.254 | 2.151.11.255 | 1,022 |
| 196 | 2.151.12.0/22 | 2.151.12.1 to 2.151.15.254 | 2.151.15.255 | 1,022 |
| 197 | 2.151.16.0/22 | 2.151.16.1 to 2.151.19.254 | 2.151.19.255 | 1,022 |
| 198 | 2.151.20.0/22 | 2.151.20.1 to 2.151.23.254 | 2.151.23.255 | 1,022 |
| 199 | 2.151.24.0/22 | 2.151.24.1 to 2.151.27.254 | 2.151.27.255 | 1,022 |
| 200 | 2.151.28.0/22 | 2.151.28.1 to 2.151.31.254 | 2.151.31.255 | 1,022 |
| 201 | 2.151.32.0/22 | 2.151.32.1 to 2.151.35.254 | 2.151.35.255 | 1,022 |
| 202 | 2.151.36.0/22 | 2.151.36.1 to 2.151.39.254 | 2.151.39.255 | 1,022 |
| 203 | 2.151.40.0/22 | 2.151.40.1 to 2.151.43.254 | 2.151.43.255 | 1,022 |
| 204 | 2.151.44.0/22 | 2.151.44.1 to 2.151.47.254 | 2.151.47.255 | 1,022 |
| 205 | 2.151.48.0/22 | 2.151.48.1 to 2.151.51.254 | 2.151.51.255 | 1,022 |
| 206 | 2.151.52.0/22 | 2.151.52.1 to 2.151.55.254 | 2.151.55.255 | 1,022 |
| 207 | 2.151.56.0/22 | 2.151.56.1 to 2.151.59.254 | 2.151.59.255 | 1,022 |
| 208 | 2.151.60.0/22 | 2.151.60.1 to 2.151.63.254 | 2.151.63.255 | 1,022 |
| 209 | 2.151.64.0/22 | 2.151.64.1 to 2.151.67.254 | 2.151.67.255 | 1,022 |
| 210 | 2.151.68.0/22 | 2.151.68.1 to 2.151.71.254 | 2.151.71.255 | 1,022 |
| 211 | 2.151.72.0/22 | 2.151.72.1 to 2.151.75.254 | 2.151.75.255 | 1,022 |
| 212 | 2.151.76.0/22 | 2.151.76.1 to 2.151.79.254 | 2.151.79.255 | 1,022 |
| 213 | 2.151.80.0/22 | 2.151.80.1 to 2.151.83.254 | 2.151.83.255 | 1,022 |
| 214 | 2.151.84.0/22 | 2.151.84.1 to 2.151.87.254 | 2.151.87.255 | 1,022 |
| 215 | 2.151.88.0/22 | 2.151.88.1 to 2.151.91.254 | 2.151.91.255 | 1,022 |
| 216 | 2.151.92.0/22 | 2.151.92.1 to 2.151.95.254 | 2.151.95.255 | 1,022 |
| 217 | 2.151.96.0/22 | 2.151.96.1 to 2.151.99.254 | 2.151.99.255 | 1,022 |
| 218 | 2.151.100.0/22 | 2.151.100.1 to 2.151.103.254 | 2.151.103.255 | 1,022 |
| 219 | 2.151.104.0/22 | 2.151.104.1 to 2.151.107.254 | 2.151.107.255 | 1,022 |
| 220 | 2.151.108.0/22 | 2.151.108.1 to 2.151.111.254 | 2.151.111.255 | 1,022 |
| 221 | 2.151.112.0/22 | 2.151.112.1 to 2.151.115.254 | 2.151.115.255 | 1,022 |
| 222 | 2.151.116.0/22 | 2.151.116.1 to 2.151.119.254 | 2.151.119.255 | 1,022 |
| 223 | 2.151.120.0/22 | 2.151.120.1 to 2.151.123.254 | 2.151.123.255 | 1,022 |
| 224 | 2.151.124.0/22 | 2.151.124.1 to 2.151.127.254 | 2.151.127.255 | 1,022 |
| 225 | 2.151.128.0/22 | 2.151.128.1 to 2.151.131.254 | 2.151.131.255 | 1,022 |
| 226 | 2.151.132.0/22 | 2.151.132.1 to 2.151.135.254 | 2.151.135.255 | 1,022 |
| 227 | 2.151.136.0/22 | 2.151.136.1 to 2.151.139.254 | 2.151.139.255 | 1,022 |
| 228 | 2.151.140.0/22 | 2.151.140.1 to 2.151.143.254 | 2.151.143.255 | 1,022 |
| 229 | 2.151.144.0/22 | 2.151.144.1 to 2.151.147.254 | 2.151.147.255 | 1,022 |
| 230 | 2.151.148.0/22 | 2.151.148.1 to 2.151.151.254 | 2.151.151.255 | 1,022 |
| 231 | 2.151.152.0/22 | 2.151.152.1 to 2.151.155.254 | 2.151.155.255 | 1,022 |
| 232 | 2.151.156.0/22 | 2.151.156.1 to 2.151.159.254 | 2.151.159.255 | 1,022 |
| 233 | 2.151.160.0/22 | 2.151.160.1 to 2.151.163.254 | 2.151.163.255 | 1,022 |
| 234 | 2.151.164.0/22 | 2.151.164.1 to 2.151.167.254 | 2.151.167.255 | 1,022 |
| 235 | 2.151.168.0/22 | 2.151.168.1 to 2.151.171.254 | 2.151.171.255 | 1,022 |
| 236 | 2.151.172.0/22 | 2.151.172.1 to 2.151.175.254 | 2.151.175.255 | 1,022 |
| 237 | 2.151.176.0/22 | 2.151.176.1 to 2.151.179.254 | 2.151.179.255 | 1,022 |
| 238 | 2.151.180.0/22 | 2.151.180.1 to 2.151.183.254 | 2.151.183.255 | 1,022 |
| 239 | 2.151.184.0/22 | 2.151.184.1 to 2.151.187.254 | 2.151.187.255 | 1,022 |
| 240 | 2.151.188.0/22 | 2.151.188.1 to 2.151.191.254 | 2.151.191.255 | 1,022 |
| 241 | 2.151.192.0/22 | 2.151.192.1 to 2.151.195.254 | 2.151.195.255 | 1,022 |
| 242 | 2.151.196.0/22 | 2.151.196.1 to 2.151.199.254 | 2.151.199.255 | 1,022 |
| 243 | 2.151.200.0/22 | 2.151.200.1 to 2.151.203.254 | 2.151.203.255 | 1,022 |
| 244 | 2.151.204.0/22 | 2.151.204.1 to 2.151.207.254 | 2.151.207.255 | 1,022 |
| 245 | 2.151.208.0/22 | 2.151.208.1 to 2.151.211.254 | 2.151.211.255 | 1,022 |
| 246 | 2.151.212.0/22 | 2.151.212.1 to 2.151.215.254 | 2.151.215.255 | 1,022 |
| 247 | 2.151.216.0/22 | 2.151.216.1 to 2.151.219.254 | 2.151.219.255 | 1,022 |
| 248 | 2.151.220.0/22 | 2.151.220.1 to 2.151.223.254 | 2.151.223.255 | 1,022 |
| 249 | 2.151.224.0/22 | 2.151.224.1 to 2.151.227.254 | 2.151.227.255 | 1,022 |
| 250 | 2.151.228.0/22 | 2.151.228.1 to 2.151.231.254 | 2.151.231.255 | 1,022 |
| 251 | 2.151.232.0/22 | 2.151.232.1 to 2.151.235.254 | 2.151.235.255 | 1,022 |
| 252 | 2.151.236.0/22 | 2.151.236.1 to 2.151.239.254 | 2.151.239.255 | 1,022 |
| 253 | 2.151.240.0/22 | 2.151.240.1 to 2.151.243.254 | 2.151.243.255 | 1,022 |
| 254 | 2.151.244.0/22 | 2.151.244.1 to 2.151.247.254 | 2.151.247.255 | 1,022 |
| 255 | 2.151.248.0/22 | 2.151.248.1 to 2.151.251.254 | 2.151.251.255 | 1,022 |
| 256 | 2.151.252.0/22 | 2.151.252.1 to 2.151.255.254 | 2.151.255.255 | 1,022 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |